Subject: Re: How to show an annotated tag's timestamp?

From: Marcus Griep <[email-masked]>
Date: Tue, 12 Aug 2008 16:36:50 -0400

Try this:

git log --pretty=format:"Tagger: %an <%ae>%nDate: %ad%n%n%b" -1 v1.6.0-rc1

Dirk Süsserott wrote:
> I'd like to display *when* a certain annotated tag was
> created, i.e. its timestamp. I know two ways but am looking
> for a third one:
> 
> Gitk: When clicking the yellow tag item (called 'testtag'
> in my case) it says:
> -------------
> object 9a04a26d3e5ea09be32934f50020d0286ebe7325
> type commit
> tag testtag
> tagger <tagger's name> <tagger's email-address> 1218568300 +0200
> -------------
> Well, I can convert 1218568300 into some human readable string,
> but that's not convenient.
> 
> So I tried 'git show testtag'. It says:
> -------------
> (*) tag testtag
> (*) Tagger: <tagger's name> <tagger's email-address>
> (*) Date:   Tue Aug 12 21:17:17 2008 +0200
> (*)
> (*) testtag
> commit 0a62b3380d21bf65270490619da4a2efd6d2ca7a
> Author: ...
> Date:   Thu Apr 24 18:49:38 2008 +0200
> [...]
> -------------
> 
> ... followed by the whole commit message and diff of the
> commit that's pointed to by the tag. That's too much for
> my purpose.
> 
> Is there a way to output only when and by whom the tag
> was created (incl. the tag's messsage), i.e. the lines
> above marked with (*)?
> 
> AHA,
>   Dirk
> 
> -- 
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´